Skip to main content
GET
/
transactions
/
batchable
Get Transactions From Batch Payments Templates
curl --request GET \
  --url https://api.synctera.com/v2/transactions/batchable \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.synctera.com/v2/transactions/batchable"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.synctera.com/v2/transactions/batchable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "next_page_token": "<string>",
  "result": [
    {
      "created": "2023-11-07T05:31:56Z",
      "data": {
        "force_post": true,
        "lines": [
          {
            "account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
            "account_no": "<string>",
            "amount": 123,
            "avail_balance": 123,
            "available_balance": 123,
            "balance": 123,
            "created": "2023-11-07T05:31:56Z",
            "currency": "<string>",
            "is_fee": true,
            "is_gl_acc": true,
            "is_offset": true,
            "is_primary": true,
            "meta": {},
            "network": "<string>",
            "related_line": 123,
            "seq": 123,
            "tenant": "abcdef_ghijkl",
            "updated": "2023-11-07T05:31:56Z",
            "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "sweep_agg_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        ],
        "memo": "<string>",
        "metadata": {},
        "external_data": {},
        "hold_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "original_trx": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "parent_trx": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "risk_info": {},
        "user_data": {},
        "vendor_info": {
          "vendor_data": {
            "loanpro": {
              "bucket_id": 123,
              "loc_id": 123,
              "swipe_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "transaction_id": 123
            }
          },
          "vendor_type": "LOANPRO"
        }
      },
      "effective_date": "2023-11-07T05:31:56Z",
      "id": 123,
      "idemkey": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
      "info_only": true,
      "lead_mode": true,
      "posted_date": "2023-11-07T05:31:56Z",
      "reference_id": "<string>",
      "status": "<string>",
      "subtype": "<string>",
      "tenant": "abcdef_ghijkl",
      "transaction_time": "2023-11-07T05:31:56Z",
      "type": "<string>",
      "updated": "2023-11-07T05:31:56Z",
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "disputes": [
        {
          "created": "2023-11-07T05:31:56Z",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "updated": "2023-11-07T05:31:56Z",
          "external_case_reference": "<string>",
          "internal_case_reference": "<string>"
        }
      ],
      "enhanced_transaction": {},
      "settlement_date": "2023-12-25"
    }
  ]
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

enabled
boolean
Example:

true

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

Response

The posted transactions that are able to be included in a batch payment.

next_page_token
string | null
required

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

result
A posted transaction · object[]
required

List of posted transactions